Replaces the tenant's recording policy (admin; self-audited).
PUT
/v1/m/recording/config
const url = 'https://example.com/v1/m/recording/config';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"ai_summaries":true,"consent":"notice","idle_seconds":1,"namespaces":["example"],"retention_days":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/recording/config \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "ai_summaries": true, "consent": "notice", "idle_seconds": 1, "namespaces": [ "example" ], "retention_days": 1 }'Replaces the tenant’s recording policy (admin; self-audited).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ”The handler decodes one strict JSON document, bounded at 1 MiB.
Media type application/json
object
consent
required
string
idle_seconds
required
integer
namespaces
Any of:
Array<string>
null
retention_days
required
integer
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}